function save(){
	var 
		li=document.getElementById('li').checked,
		la=document.getElementById('la').value,
		fmt=(document.getElementById('mobi').checked)? "mobi": "epub"
	;
	self.port.emit("save", {"link": li, "lang" : la, "format" : fmt});
	self.port.emit("restore");	
	return false;
}

function cancel(){
	self.port.emit("save", null);
	self.port.emit("restore");
	return false;
}

function messages(lang){
	switch(lang){
		case "ca":
		var r={
			langtxt: "Idioma de dotEPUB",
			opt: "Opcions",
			extDesc: "Converteix qualsevol pàgina web en un e-book",
			save: "Desar",
			cancel: "Cancel·lar",
			remove: "Mode immersiu",
			note: "En el mode immersiu, s’eliminaran els enllaços, no s’oferirà la possibilitat de conservar les imatges ni s’indicarà on hi havia imatges o vídeos.",
			en: "angl&egrave;s",
			es: "espanyol",
			ca: "catal&agrave;"
		};
			break;
		case "es":
		var r={
			langtxt: "Idioma de dotEPUB",
			opt: "Opciones",
			extDesc: "Convierte cualquier página web en un e-book",
			save: "Guardar",
			cancel: "Cancelar",
			remove: "Modo inmersivo",
			note: "En el modo inmersivo, se eliminarán los enlaces, no se ofrecerá la posibilidad de conservar las imágenes ni se indicará dónde había imágenes o vídeos.",
			en: "ingl&eacute;s",
			es: "espa&ntilde;ol",
			ca: "catal&aacute;n"
		};
		break;
		default:
		var r={
			langtxt: "dotEPUB language",
			opt: "Options",
			extDesc: "Convert any webpage into an e-book",
			save: "Save",
			cancel: "Cancel",
			remove: "Immersive mode",
			note: "In the immersive mode, links will be removed, you will not be offered the possibility of keeping images and there will be no indication where removed images and videos were.",
			en: "English",
			es: "Spanish",
			ca: "Catalan"
		};
	}
	return r;
}

document.getElementById('save').addEventListener('click', save, false);
document.getElementById('cancel').addEventListener('click', cancel, false);

self.port.on("init", function(prefs,lang){
	var li=prefs.link, la=prefs.lang, fmt=prefs.format;
	//No utilitzo llengua per defecte si no llengua de prefs

	if (typeof(la)=="undefined") {
		li=true;
		la=lang;
		fmt="epub";
	}

	var m=messages(la);
	var opt=m.opt;

	document.getElementById('cancel').childNodes[0].nodeValue=m.cancel;
	document.getElementById('save').childNodes[0].nodeValue=m.save;
	document.getElementsByTagName('label')['0'].childNodes[0].nodeValue=m.remove;
	document.getElementsByTagName('label')['3'].childNodes[0].nodeValue=m.langtxt;
	document.getElementById('note').childNodes[0].nodeValue=m.note;

	var key="Ctrl";
	if (navigator.platform.indexOf("Mac") > -1){
		key="Cmd";
	}

	document.getElementsByTagName('h2')['0'].childNodes[0].nodeValue=opt+" ("+key+"+Shift+o)";
//	document.title+=" "+opt;

	switch(la){
		case "es":
			document.getElementById('la').innerHTML="<option value=\"es\">"+m.es+"</option><option value=\"ca\">"+m.ca+"</option><option value=\"en\">"+m.en+"</option>";
			break;
		case "ca":
			document.getElementById('la').innerHTML="<option value=\"ca\">"+m.ca+"</option><option value=\"es\">"+m.es+"</option><option value=\"en\">"+m.en+"</option>";
			break;
		default:
			document.getElementById('la').innerHTML="<option value=\"en\">"+m.en+"</option><option value=\"es\">"+m.es+"</option><option value=\"ca\">"+m.ca+"</option>";
	}

	document.getElementById('li').checked=li;
	document.getElementById('la').value=la;
	if (fmt=="epub"){
		document.getElementById('epub').checked=true;
	}else{
		document.getElementById('mobi').checked=true;
	}
});

self.port.emit("restore");