const { Hotkey } = require("hotkeys");
const data = require("self").data;
const widgets = require("widget");
const panels = require("panel");
const tabs = require("tabs");
const ss = require("simple-storage");
var _ = require("l10n").get;

// Cntrl+e Cmd+e shows prefs
var showHotKey = Hotkey({
	combo: "accel-shift-o",
	onPress: function() {
		prefs.show();
	}
});

//  PREFS
var prefs = panels.Panel({
	width: 480,
	height: 480,
	contentURL: data.url("options.html"),
	contentScriptWhen: 'end',
	contentScriptFile : data.url("prefs.js")
});

prefs.port.on("save", function(msg){
	if (msg !== null){
		ss.storage.userprefs = msg;
	}
	prefs.hide();
});


var getPrefs=function(){
	if (ss.storage.userprefs === undefined){
		ss.storage.userprefs = {"link": true, "lang" : _("en"), "format": "epub"};
	}
	return ss.storage.userprefs;
}

// restore prefs from storage
prefs.port.on("restore", function(){
	prefs.port.emit("init", getPrefs(),_("en"));
});

var widget = widgets.Widget({
	contentURL: data.url("icon.png"),
	id: "dotepub",
	label: _("Click to convert into e-book / Right-click to edit options"),
	contentScriptWhen: "ready",
	contentScriptFile : data.url("widget.js") //detect right/left click and send msg back
});

// Right click: show prefs
widget.port.on("right-click", function() {
	prefs.show();
});

// Left click: run conversion
widget.port.on("left-click", function() {
	var pref=getPrefs();
	var l = (pref.link) ? 0:1;
	tabs.activeTab.attach({
		contentScriptFile: [data.url("links"+l+".js"), data.url("lang"+pref.lang+".js"), data.url("format"+pref.format+".js"), data.url("run.js")]
	});
});